Used Newie, our AI search tool in the docs? Take a 2-minute survey to rate your experience!

Retrieving tax information

Prev Next

NewStore platform calculates taxes for in-store orders. As a result, orders will have tax information such as types, rates, and amounts. The Order Management APIs can be used to retrieve the tax information related to an order. The response contains detailed information about tax calculations, including tax exemption information and the taxes applied to an order.

Note

In this guide, the code snippets contain {tenant}, {env}, or {token} properties.

  • Use the target tenant for the {tenant} property.

  • Use the target environment for the {env} property.

  • Use your NewStore token retrieved from the Omnichannel Manager console for the token property.

Tax information can be retrieved for sales and returns if the tax calculations were performed within the NewStore platform.

Tax information for orders can be retrieved by using the internal order ID of the order:

curl --location 'https://{tenant}.{env}.newstore.net/v0/orders/{order_id}' \
--header 'Authorization: Bearer {token}'

Related links